Forum Thread: Installation NET framework

You are currently viewing a forum thread in the Secunia Community Forum. Please note that opinions expressed here are not of Secunia but solely reflect those of the user who wrote it.

This thread was submitted in the following forum:
PSI

This thread has been marked as locked.
wasanurse1930 Installation NET framework
Member 4th Dec, 2009 19:10
Ranking: 0
Posts: 7
User Since: 1st Dec, 2009
System Score: N/A
Location: N/A
After downloading I tried to install and this is the error I received:

Microsoft .NET Framework 1.1 Service Pack 1 Security Update for Windows 2000, Windows XP, Windows Vista, Windows Server 2008, Windows 7, and Windows Server 2008 R2 (KB953297)
Microsoft .NET Framework 3.5 Service Pack 1 and .NET Framework 3.5 Family Update for .NET versions 2.0 through 3.5 (KB951847) x86
Microsoft .NET Framework 2.0 Service Pack 2 Security Update for Windows 2000, Windows Server 2003, and Windows XP (KB974417)

What can I do to be able to install these?
I have tried using IE for download with same results.

Windows XP SP3

Maurice Joyce RE: Installation NET framework
Handling Contributor 4th Dec, 2009 23:29
Score: 12325
Posts: 9,575
User Since: 4th Jan 2009
System Score: N/A
Location: UK
Not sure I fully understand what U are trying to do. The may help U:

.NET FRAMEWORK PROBLEMS
=======================

A bit of background information worth knowing before trying to fix .NET issues.

1. .NET Framework 1.0, 1.1 and 2.0 are all side-by-side versions that can be installed and uninstalled without affecting the others. This means that if you are running into an issue in .NET Framework 2.0, for example, you do not necessarily need to remove .NET Framework 1.0 and 1.1 in addition to removing 2.0.

2. .NET Framework 3.0 is an add-on that requires .NET Framework 2.0 to be present as a prerequisite. If you have .NET Framework 3.0 installed, you will not be allowed to uninstall .NET Framework 2.0 until you first uninstall .NET Framework 3.0.

3. .NET Framework 3.5 is an add-on that requires .NET Framework 2.0 SP1 and .NET Framework 3.0 SP1 to be present as prerequisites. If you have .NET Framework 3.5 installed, you will not be allowed to uninstall .NET Framework 3.0 SP1 or 2.0 SP1 until you first uninstall .NET Framework 3.5.

4. .NET Framework 3.5 SP1 is an add-on that requires .NET Framework 2.0 SP2 and .NET Framework 3.0 SP2 to be present as prerequisites. If you have .NET Framework 3.5 SP1 installed, you will not be allowed to uninstall .NET Framework 3.0 SP2 or 2.0 SP2 until you first uninstall .NET Framework 3.5 SP1.

.NET 1 & 1.1 are very old & it is highly unlikely U will have a programme that "calls" on it to work. It can be safely uninstalled in the knowledge that if it is later required they can be re installed as Standalone items.

++++++++++++++++++++++++++++++++++++++++++++++++++ ++++++

If you are having trouble installing .NET Framework 2.0, 3.0 or 3.5, I recommend trying to install .NET Framework 3.5 SP1. It will install .NET Framework 2.0 SP2 and 3.0 SP2 behind the scenes, and these versions contain additional fixes not in the original 2.0, 3.0 or 3.5 releases. Plus, 3.5 SP1 will automatically uninstall any older versions of 2.0, 3.0 or 3.5 that are on your system, so you can save some time by not trying to install a version of .NET Framework that 3.5 SP1 is going to uninstall during its install process.

Link is here:

http://www.microsoft.com/downloads/details.aspx?fa...

++++++++++++++++++++++++++++++++++++++++++++++++++ ++++++

22:28 04/12/2009




--
Maurice

Microsoft Surface 4 Intel i7 64Bit
Windows 10 Pro version 1809 Build 17763.404
16 GB RAM
IE & Edge Only
Was this reply relevant?
+0
-0
wasanurse1930 RE: Installation NET framework
Member 5th Dec, 2009 01:21
Score: 0
Posts: 7
User Since: 1st Dec 2009
System Score: N/A
Location: N/A
I am trying to install the update for:

Microsoft .NET Framework 1.1 Service Pack 1 Security Update for Windows 2000, Windows XP, Windows Vista, Windows Server 2008, Windows 7, and Windows Server 2008 R2 (KB953297)
Microsoft .NET Framework 3.5 Service Pack 1 and .NET Framework 3.5 Family Update for .NET versions 2.0 through 3.5 (KB951847) x86
Microsoft .NET Framework 2.0 Service Pack 2 Security Update for Windows 2000, Windows Server 2003, and Windows XP (KB974417)
I get a window that says these cannot be installed.

My control panel shows Microsoft Framework 1.1 and Microsoft 3.5 SP as on my pc.

Was this reply relevant?
+0
-0
wasanurse1930 RE: Installation NET framework
Member 5th Dec, 2009 01:26
Score: 0
Posts: 7
User Since: 1st Dec 2009
System Score: N/A
Location: N/A
Last edited on 5th Dec, 2009 02:24
I should uninstall Framework 1.1 and also 3.5 SP and then reinstall the download again?
Was this reply relevant?
+0
-0
Maurice Joyce RE: Installation NET framework
Handling Contributor 5th Dec, 2009 09:28
Score: 12325
Posts: 9,575
User Since: 4th Jan 2009
System Score: N/A
Location: UK
By Control Panel I assume U mean Add/remove.

Add/Remove should have:

V2 SP2
V3 SP2
V 3.5 SP1

U may have V1 & V1.1 - I do not becomes I uninstalled them a long time ago.

What happened to V2 which is the key element? Have U uninstalled it?

I would:
Uninstall version 1.1.
Try my link again to try & update the remainder.
If that fails find & install V2 then try my link again.

Just be a little careful.


08:27 05/12/2009






--
Maurice

Microsoft Surface 4 Intel i7 64Bit
Windows 10 Pro version 1809 Build 17763.404
16 GB RAM
IE & Edge Only
Was this reply relevant?
+0
-0
wasanurse1930 RE: Installation NET framework
Member 5th Dec, 2009 16:18
Score: 0
Posts: 7
User Since: 1st Dec 2009
System Score: N/A
Location: N/A
Last edited on 5th Dec, 2009 16:20
I now have the 3.5 SP1 installed. This is the only one shown in Add/Remove. I need to download 2.0 Which version should I use? 2.0 SDK 86, 64 or 1A64.
Secunia scan still shows 3.x as a category 4 threat.
Was this reply relevant?
+0
-0
Maurice Joyce RE: Installation NET framework
Handling Contributor 5th Dec, 2009 16:36
Score: 12325
Posts: 9,575
User Since: 4th Jan 2009
System Score: N/A
Location: UK
The link I would use is here:

http://www.microsoft.com/downloads/details.aspx?fa...

--
Maurice

Microsoft Surface 4 Intel i7 64Bit
Windows 10 Pro version 1809 Build 17763.404
16 GB RAM
IE & Edge Only
Was this reply relevant?
+0
-0
wasanurse1930 RE: Installation NET framework
Member 5th Dec, 2009 17:22
Score: 0
Posts: 7
User Since: 1st Dec 2009
System Score: N/A
Location: N/A
While installing 2.0 I get the error message: Error occurred. Incompatible with Previously installed. I went to Microsoft support and they are talking changing registry: http://support.microsoft.com/kb/908077
I don't feel comfortable messing with the registry. Any suggestions how to procede?
Was this reply relevant?
+0
-0
Mcd73165 RE: Installation NET framework
Member 5th Dec, 2009 17:40
Score: 8
Posts: 74
User Since: 13th May 2009
System Score: N/A
Location: US
Hi. At this point I would suggest uninstalling whatever .Net Framework you have installed on your machine and then download and install whatever version you need. In my case all I have need for is .Net framework 2.0. I actually have .Net Framework 2.0 SP2 installed. You may not even need .Net framework installed at all. If a program that you're trying to run needs it, it will let you know. Hope this helps.
Mark
Was this reply relevant?
+0
-0
wasanurse1930 RE: Installation NET framework
Member 5th Dec, 2009 17:55
Score: 0
Posts: 7
User Since: 1st Dec 2009
System Score: N/A
Location: N/A
Thanks alot. I was wondering if I really needed it but Secunia brought it up during the scan. I appreciate your patience with me. Merry Christmas!
Was this reply relevant?
+0
-0

This thread has been marked as locked.